name = "Craftable Ancient Altar and Thulecite Pieces"
russian = name.utf8len and (russian or language=="ru") -- the variable "language" to global environment adds mod "Russian Language Pack"
description = (
	russian
	and "Добавляет рецепты для крафта Древней Псевдонаучной Станции из её обломков и Тулецитовых Осколков"
	or "Add recipe for craft Ancient Altar by Ancient Fragments and Thulecite Pieces.\n增加的配方用于工艺古坛通过古老的片段和Thulecite件。\n"
	)
version = "1.17.9.17"
author = "GitSM"

forumthread = ""

api_version = 10 -- This lets other players know if your mod is out of date, update it to match the current version in the game
all_clients_require_mod = true -- This lets the clients know that they need to download the mod before they can join a server that is using it.
client_only_mod = false -- This let's the game know that this mod doesn't need to be listed in the server's mod listing
dst_compatible = true -- Let the mod system know that this mod is functional with Don't Starve Together
server_filter_tags = {"items", "crafting"} -- These tags allow the server running this mod to be found with filters from the server listing screen

icon_atlas = "preview.xml" -- Adds an icon to the mod
icon = "preview.tex"

configuration_options =
{
	-- configure description and value
	{
		name = "UseAncienAltarScrapTop",
		label = russian and "Использовать обломок вершины в крафте сборщика алтаря." or "Use scrap top fragment in craft of the assembler of altar",
		hover = "",
		options =
		{
			{description = russian and "Да" or "Yes", data = true},
			{description = russian and "Нет" or "No", data = false},
		},
		default = true,
	},
	{
		name = "UseAncienAltarScrapMidLeft",
		label = russian and "Использовать левый обломок стены в крафте сборщика алтаря." or "Use scrap mid left fragment in craft of the assembler of altar",
		hover = "",
		options =
		{
			{description = russian and "Да" or "Yes", data = true},
			{description = russian and "Нет" or "No", data = false},
		},
		default = true,
	},
	{
		name = "UseAncienAltarScrapMidRight",
		label = russian and "Использовать правый обломок стены в крафте сборщика алтаря." or "Use scrap mid right fragment in craft of the assembler of altar",
		hover = "",
		options =
		{
			{description = russian and "Да" or "Yes", data = true},
			{description = russian and "Нет" or "No", data = false},
		},
		default = true,
	},
	{
		name = "UseAncienAltarScrapDnLeft",
		label = russian and "Использовать левый обломок основания в крафте сборщика алтаря." or "Use scrap down left fragment in craft of the assembler of altar",
		hover = "",
		options =
		{
			{description = russian and "Да" or "Yes", data = true},
			{description = russian and "Нет" or "No", data = false},
		},
		default = true,
	},
	{
		name = "UseAncienAltarScrapDnRight",
		label = russian and "Использовать правый обломок основания в крафте сборщика алтаря." or "Use scrap down right fragment in craft of the assembler of altar",
		hover = "",
		options =
		{
			{description = russian and "Да" or "Yes", data = true},
			{description = russian and "Нет" or "No", data = false},
		},
		default = true,
	},
	{
		name = "forceLanguage",
		label = "Forced language",
		hover = "Forced to set the language",
		options =
		{
			{ description = "Default", data = "def", hover = "Set Default", },
			{ description = "English", data = "en", hover = "Set English", },
			{ description = "Русский", data = "ru", hover = "Установить Русский", },
			{ description = "简体中文", data = "chs", hover = "设定的中国", },
		},
		default = "def",
	},
}

-- priority = 0.0759061289 -- Adds a priority to the mod. Loads it before or after other mods. This can help to fix various incompatibilities between other mods.

