require "prefabutil"

local assets =
{
	Asset("ANIM", "anim/AncientAltarSack.zip"),
	Asset("ANIM", "anim/AncientAltarSackPlacer.zip"),
	Asset("ATLAS", "images/inventory/ancient_altar_sack.xml"),
	Asset("IMAGE", "images/inventory/ancient_altar_sack.tex"),
}

local function check_ground(inst, pt)
	print("ancient_altar_sack:check_ground(): GROUND = ", type(GROUND))
	if type(GROUND)=="table" then
		print("ancient_altar_sack:check_ground(): GROUND.DIRT = ", type(GROUND.DIRT), " = ", tostring(GROUND.DIRT))
	end
	local basetile = GROUND.DIRT
	local tile = inst:GetCurrentTileType(pt.x, pt.y, pt.z)
	local onWater = GetWorld().Map:IsWater(tile)
	return not onWater
end

local function onpickup(inst)
	inst.SoundEmitter:PlaySound("dontstarve/common/ancienttable_repair")
end

local function ondeploy(inst, pt) 
	inst.SoundEmitter:PlaySound("dontstarve/common/ancienttable_repair")
	local prefab = SpawnPrefab("ancient_altar")
	if prefab then
		prefab.Transform:SetPosition(pt.x, pt.y, pt.z)
		inst.components.stackable:Get():Remove()
	end
end

local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	local sound = inst.entity:AddSoundEmitter()
	local net = inst.entity:AddNetwork()

	MakeInventoryPhysics(inst)

	anim:SetBank("AncientAltarSack")
	anim:SetBuild("AncientAltarSack")
	anim:PlayAnimation("idle")

	inst.entity:SetPristine()

	if not TheWorld.ismastersim then
		return inst
	end

	inst:AddComponent("inspectable")

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "ancient_altar_sack"
	inst.components.inventoryitem.atlasname = "images/inventory/ancient_altar_sack.xml"
	inst.components.inventoryitem:SetOnPickupFn(onpickup)

	-- inst:AddComponent("tradable") -- установить стоимость в количестве золотых самородков
	-- inst.components.tradable.goldvalue = 40;

	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_LARGEITEM

	inst:AddTag("structure")
	inst:AddTag("ancient_altar_sack")
	-- inst:AddComponent("tradable")

	inst:AddComponent("deployable")
	inst.components.deployable:SetDeploySpacing(DEPLOYSPACING.NONE)
	inst.components.deployable.test = check_ground
	inst.components.deployable.ondeploy = ondeploy

	return inst
end

-- Prefab = Class( function(self, name, fn, assets, deps, force_path_search)
-- MakePlacer(name, bank, build, anim, onground, snap, metersnap, scale, fixedcameraoffset, facing, postinit_fn)
return Prefab("ancient_altar_sack", fn, assets),
       MakePlacer("ancient_altar_sack_placer", "AncientAltarSackPlacer", "AncientAltarSackPlacer", "idle", nil, nil, nil, 1.8)
