local assets = {
	Asset("ANIM", "anim/AncientAltarScrapMidLeft.zip"),
	Asset("ATLAS", "images/inventory/ancient_altar_scrap_midleft.xml"),
	Asset("IMAGE", "images/inventory/ancient_altar_scrap_midleft.tex"),
}

prefabs = {}

local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	-- local sound = inst.entity:AddSoundEmitter()
	local net = inst.entity:AddNetwork()
	
	MakeInventoryPhysics(inst)
	
	anim:SetBank("AncientAltarScrapMidLeft")
	anim:SetBuild("AncientAltarScrapMidLeft")
	anim:PlayAnimation("idle")
	
	inst.entity:SetPristine()
	
	if not TheWorld.ismastersim then
		return inst
	end
	
	inst:AddComponent("inspectable")
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "ancient_altar_scrap_midleft"
	inst.components.inventoryitem.atlasname = "images/inventory/ancient_altar_scrap_midleft.xml"
	
	-- inst:AddComponent("tradable") -- установить стоимость в количестве золотых самородков
	-- inst.components.tradable.goldvalue = 40;
	
	inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_LARGEITEM
	
	return inst
end

return Prefab("ancient_altar_scrap_midleft", fn, assets, prefabs)