local assets = {
	Asset("ANIM", "anim/AncientAltarScrapTop.zip"),
	Asset("ATLAS", "images/inventory/ancient_altar_scrap_top.xml"),
	Asset("IMAGE", "images/inventory/ancient_altar_scrap_top.tex"),
}

prefabs = {}

local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	-- local sound = inst.entity:AddSoundEmitter()
	local net = inst.entity:AddNetwork()

	MakeInventoryPhysics(inst)

	anim:SetBank("AncientAltarScrapTop")
	anim:SetBuild("AncientAltarScrapTop")
	anim:PlayAnimation("idle")

	inst.entity:SetPristine()

	if not TheWorld.ismastersim then
		return inst
	end

	inst:AddComponent("inspectable") -- возможность осматривать предмет наведя на него курсор мыши

	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.imagename = "ancient_altar_scrap_top"
	inst.components.inventoryitem.atlasname = "images/inventory/ancient_altar_scrap_top.xml"

	-- inst:AddComponent("tradable") -- установить стоимость в количестве золотых самородков
	-- inst.components.tradable.goldvalue = 40;

	inst:AddComponent("stackable") -- возможность складывать предмет стопками
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_LARGEITEM

	return inst
end

return Prefab("ancient_altar_scrap_top", fn, assets, prefabs)